Bug 133085 - Assertion failure in glock.c
Assertion failure in glock.c
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ken Preslan
GFS Bugs
:
Depends On:
Blocks: 137219
  Show dependency treegraph
 
Reported: 2004-09-21 12:11 EDT by Ken Preslan
Modified: 2010-01-11 21:58 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:00:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ken Preslan 2004-09-21 12:11:24 EDT
Description of problem:

GFS:  Assertion failed on line 119 of file ../glock.c
GFS:  assertion: "osi_atomic_read(&gl->gl_count) >= 0"
GFS:  time = 1093281071344151
GFS:  FS = something:somethingelse
GFS:  GL = (2237921371, 54043195532558955)

Kernel panic: GFS:  Record message above

Version-Release number of selected component (if applicable):

5.2.1 and 6.0.0

How reproducible:

I haven't been able to do it.

Steps to Reproduce:

Customer reports:
mkdir /gfs_fst/dir_with_thousands_of_files
put thousands of files in /gfs_fst/dir_with_thousands_of_files
touch /gfs_fst/dir_with_thousands_of_files/.* &&  find
/gfs_fst/dir_with_thousands_of_files/ -mmin +200 -exec rm -rf {} \;
Comment 1 David Lawrence 2004-09-29 16:00:45 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2004-490.html

Note You need to log in before you can comment on or make changes to this bug.